//Foobar 2000 SDK Components
#include "../Foobar SDK/foobar2000.h"
#include "../helpers/helpers.h"

// Logitech LCD SDK Components
#include "../LCDSDK/lcdui/LCDBase.h"
#include "../LCDSDK/lcdui/LCDManager.h"
#include "../LCDSDK/lcdui/LCDBitmap.h"
#include "../LCDSDK/lcdui/LCDStreamingText.h"
#include "../LCDSDK/lcdui/LCDText.h"
#include "../LCDSDK/lcdui/LCDProgressBar.h"
#include "../LCDSDK/lcdui/LCDOutput.h"

void SetActiveTitleFormat(int i);

class LCDPlaybackManager : public CLCDManager  
{
private:
    CLCDStreamingText m_Line1;
	CLCDStreamingText m_Line2;	
	CLCDStreamingText m_Line3;
	CLCDText m_CurrentPos;
	CLCDText m_TrackLength;
	CLCDText m_TitleTextLine1;
	CLCDText m_TitleTextLine2;
	CLCDBitmap m_TitleLogo;
	CLCDProgressBar m_ProgressBar;

public:
	LCDPlaybackManager();
    virtual ~LCDPlaybackManager(){};

	void UpdateLines(pfc::string8 sLine1, pfc::string8 sLine2, pfc::string8 sLine3);
	void SetTrackLength(double dTime);
	void SetTrackPosition(double dTime);
	void SwitchToSongView();
	
    virtual HRESULT Initialize(void);
	virtual void OnLCDButtonDown(int nButton){};
	virtual void OnLCDButtonUp(int nButton);
};